/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import * as runtime from '../runtime';
import {HubSpotUser, HubSpotUserFromJSON, HubSpotUserToJSON} from '../models';

export interface HubSpotControllerApiFindContactRequest {
  id: string;
}

/**
 *
 */
export class HubSpotControllerApi extends runtime.BaseAPI {
  /**
   */
  async findContactRaw(
    requestParameters: HubSpotControllerApiFindContactRequest,
    initOverrides?: RequestInit | runtime.InitOverideFunction
  ): Promise<runtime.ApiResponse<HubSpotUser>> {
    if (requestParameters.id === null || requestParameters.id === undefined) {
      throw new runtime.RequiredError(
        'id',
        'Required parameter requestParameters.id was null or undefined when calling findContact.'
      );
    }

    const queryParameters: any = {};

    const headerParameters: runtime.HTTPHeaders = {};

    const response = await this.request(
      {
        path: `/api/hubspot/contact/{id}`.replace(
          `{${'id'}}`,
          encodeURIComponent(String(requestParameters.id))
        ),
        method: 'GET',
        headers: headerParameters,
        query: queryParameters,
      },
      initOverrides
    );

    return new runtime.JSONApiResponse(response, (jsonValue) =>
      HubSpotUserFromJSON(jsonValue)
    );
  }

  /**
   */
  async findContact(
    requestParameters: HubSpotControllerApiFindContactRequest,
    initOverrides?: RequestInit | runtime.InitOverideFunction
  ): Promise<HubSpotUser> {
    const response = await this.findContactRaw(
      requestParameters,
      initOverrides
    );
    return await response.value();
  }
}
